data:
  - { _id: 1, x: 11 }

collection_name: &collection_name "test-unacknowledged-bulk-write"
database_name: &database_name "command-monitoring-tests"

tests:
  -
    description: "A successful unordered bulk write with an unacknowledged write concern"
    comment: "On a 2.4 server, no GLE is sent and requires a client-side manufactured reply"
    operation:
      name: "bulkWrite"
      collectionOptions:
        writeConcern: { w: 0 }
      arguments:
        requests:
          - name: "insertOne"
            arguments:
              document: { _id: "unorderedBulkWriteInsertW0", x: 44 }
        options: { ordered: false }
    expectations:
      -
        command_started_event:
          command:
            insert: *collection_name
            documents:
              - { _id: "unorderedBulkWriteInsertW0", x: 44 }
            ordered: false
            writeConcern: { w: 0 }
          command_name: "insert"
          database_name: *database_name
      -
        command_succeeded_event:
          reply: { ok: 1.0 }
          command_name: "insert"
